#2553 closed defect (fixed)

[mvme3100] boot_card() broken by 37030e38

Reported by: Nick Withers Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Backtrace with 37030e38* (with a fatal exception handler installed):

#0  fatal_extension (the_source=INTERNAL_ERROR_CORE, is_internal=true, the_error=23) at init.c:425
#1  0x000a6d18 in _User_extensions_Iterate (arg=arg@entry=0x1ab6348, visitor=0xa6c70 <_User_extensions_Fatal_visitor>) at ../../../../../../../rtems/c/src/../../cpukit/score/src/userextiterate.c:155
#2  0x000a1c90 in _User_extensions_Fatal (error=23, is_internal=true, source=INTERNAL_ERROR_CORE) at ../../cpukit/../../../mvme3100/lib/include/rtems/score/userextimpl.h:254
#3  _Terminate (the_source=the_source@entry=INTERNAL_ERROR_CORE, is_internal=is_internal@entry=true, the_error=the_error@entry=23) at ../../../../../../../rtems/c/src/../../cpukit/score/src/interr.c:44
#4  0x0007ad40 in RTEMS_Malloc_Initialize (areas=areas@entry=0x1ab6398, area_count=area_count@entry=1, extend=extend@entry=0x0 <preload>)
    at ../../../../../../../rtems/c/src/../../cpukit/libcsupport/src/malloc_initialize.c:53
#5  0x0005cf84 in bsp_work_area_initialize_default (area_size=<optimized out>, area_begin=<optimized out>) at ../../../../../.././mvme3100/lib/include/bsp/bootcard.h:183
#6  bsp_work_area_initialize () at ../../../../../../../../../rtems/c/src/lib/libbsp/powerpc/mvme3100/../../powerpc/shared/startup/bspgetworkarea.c:23
#7  0x0005cec4 in boot_card (cmdline=<optimized out>) at ../../../../../../../../../rtems/c/src/lib/libbsp/powerpc/mvme3100/../../shared/bootcard.c:80
#8  0x00003294 in __rtems_entry_point () at ../../../../../../../../../rtems/c/src/lib/libbsp/powerpc/mvme3100/start/start.S:89

If I reverse the changes to c/src/lib/libbsp/shared/bootcard.c it works again.

* With RSB e3b9fb68 and the following RTEMS patches:

Attachments (1)

0001-bsps-powerpc-Fix-startup.patch (1.4 KB) - added by Sebastian Huber on Jan 27, 2016 at 6:36:27 AM.

Download all attachments as: .zip

Change History (7)

Changed on Jan 27, 2016 at 6:36:27 AM by Sebastian Huber

comment:1 Changed on Jan 27, 2016 at 6:36:44 AM by Sebastian Huber

Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on Jan 27, 2016 at 10:23:29 AM by Nick Withers

Thank you again Sebastian, that's worked a treat!

comment:3 Changed on Jan 27, 2016 at 10:32:49 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In ab8e821c9ee36dc5c3b429c2ca28e90b2c30432f/rtems:

bsps/powerpc: Fix startup

Do work area initialization after bsp_start() for BSPs using the shared
PowerPC work area initialization.

Close #2553.

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Oct 10, 2017 at 6:56:19 AM by Sebastian Huber

Component: bspsarch/powerpc

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.